#!/usr/bin/env bash

run_directory=$(dirname "$0")

if [ -f $run_directory/.disabled ]; then
  echo "Installation is disabled. Exiting..."
  exit 0
fi

echo "Copying Systemd units to user's directory..."
cp $run_directory/pulseaudio-dlna.service $HOME/.config/systemd/user/

echo "Reloading Systemd's user runtime..."
systemctl --user daemon-reload
echo "Enabling service..."
systemctl --user enable pulseaudio-dlna.service

echo "Finished install. Exiting..."
exit 0
